#include "SampleWindow.h"

#include <gdkmm/pixbufloader.h>

//xxd -i sample.gif > sample.gif.h
#include "img/sample.gif.h"

SampleWindow::SampleWindow()
{
	set_default_size(320, 240);

	Glib::RefPtr<Gdk::PixbufLoader> loader = Gdk::PixbufLoader::create();
	loader->write(sample_gif, sample_gif_len);
	loader->close();

	Glib::RefPtr<Gdk::PixbufAnimation> pixbuf = loader->get_animation();
	image.set(pixbuf);

	add(image);
	show_all();
}

SampleWindow::~SampleWindow()
{
}
